import {Module} from "vuex";

const authStore: Module<any,any> = {
    state: {
        authenticated: false,
    },
    mutations: {
        SET_AUTHENTICATED(state){
            state.authenticated = true
            }
        },
    actions: {
        authenticateUser({commit}){
            commit('SET_AUTHENTICATED')
            }
        },
    getters: {
        authenticated: state => state.authenticated
    }
}

export default authStore